/*---------------------------------------------------------------------------

    Written by the Personal Journal developers of Dow Jones & Company, Inc.

    Dow Jones makes no representations or warranties about 
    the suitability of this software, either express or 
    implied, including but not limited to the implied warranties 
    of merchantability, fitness for a particular purpose, 
    or non-infringement.  Dow Jones will not be liable for 
    any damages suffered by a user as a result of using, 
    modifying or distributing this software or its derivatives.


    @(#)DividerView.java  0.00 01-Jan-96

        A Divider that implements PaperView.


    Authors:

        rphall   Rick Hall


    Version Ident:

        $Header: /PjJavaClient/src/pj/awt/DividerView.java 2     1/22/96 10:17a Rphall $


    History:

        0.00 01-Jan-96  rphall      Initial Creation
        0.01 23-Feb-96 Ted S.       This class is obsolete, since Paper implements Paperview.
                                    For now it just passes things along.  It should be deleted
                                    when I have more time.

---------------------------------------------------------------------------*/

package pj.awt;

import pj.awt.Page;
import pj.awt.PaperView;
import pj.awt.TabSpec;

/**
 * A Divider that implements PaperView.
 *
 * @see PaperView
 * @version 0.00 01-Jan-96
 * @author  rphall
*/
//public abstract class DividerView extends Divider implements PaperView
public class DividerView extends Divider implements PaperView
    {

    // --- Public constructors

    /**
     * Construct a DividerView with a given tab specification.
     * @param tab   A specification for the tab that should be
     * associated with this page.
    */
    public DividerView(TabSpec tab)
        {
        super(tab);
        System.out.println("Debug-DividerView:constructed");
        }

    // --- Public operations

    /**
     * @return The number of views in an implementation instance.
    */
    public int countViews() 
        { 
        return super.countViews(); 
        }

    

    /**
     * Make the first view the current view.
    */
    public void firstView() 
        { 
        super.firstView(); 
        }

    /**
     * Make the next view (after the current view) the current view.
    */
    public boolean nextView()
        {
        return super.nextView();
        }

    /**
     * Make the last view the current view.
    */
    public void lastView() 
        { 
        super.lastView();
        }

    /**
     * Make the previous view (before current view) the current view.
    */
    public boolean previousView()
        {
        return super.previousView();
        }

    

    /**
     * Make a specific view the current view.
     * @param idx The index of the view to display.
    */
    public void view(int idx) 
        { 
        super.view(idx);
        }

    } // DividerView
