/*---------------------------------------------------------------------------

    Written by the Personal Journal developers of Dow Jones & Company, Inc.

    Dow Jones makes no representations or warranties about 
    the suitability of this software, either express or 
    implied, including but not limited to the implied warranties 
    of merchantability, fitness for a particular purpose, 
    or non-infringement.  Dow Jones will not be liable for 
    any damages suffered by a user as a result of using, 
    modifying or distributing this software or its derivatives.



    @(#)StatefuleStoryContainer.java    0.00 26-Dec-95


        Interface of a stateful container for PaperStories.


    Authors:

        rphall      Rick Hall


    Version Ident:

        $Header: /PjJavaClient/src/pj/io/StatefulStoryContainer.java 2     1/21/96 5:27p Rphall $


    History:

        12/26/95    rphall      Initial Creation


---------------------------------------------------------------------------*/

package pj.io;

import pj.io.StoryContainer;

/**
 * Interface of a stateful container for PaperStories.
 * @version 0.00, 20-Dec-95
 * @author 	Rick Hall
 */

public interface StatefulStoryContainer extends StoryContainer
    {

    // --- Class variables

    public static final int stateQuiescent  = 0; // Notifications complete
    public static final int stateAdding     = 1; // Number of stories is increasing
    public static final int stateAdded      = 2; // Number of stories increased
    public static final int stateClearing   = 3; // Number of stories is zeroing
    public static final int stateCleared    = 4; // Number of stories zeroed

    // -- Public operations

    public int getState();

    };
